select 
    n_name, 
    sum(l_extendedprice * (1 - l_discount/10000)) as revenue 
from 
    CUSTOMER, ORDERS, LINEITEM, SUPPLIER, NATION, REGION 
where 
    c_custkey = o_custkey and 
    l_orderkey = o_orderkey and 
    l_suppkey = s_suppkey and 
    c_nationkey = s_nationkey and 
    s_nationkey = n_nationkey and 
    n_regionkey = r_regionkey and 
    r_name = 'MIDDLE EAST' and 
    o_orderdate >= 757378800 and 
    o_orderdate < 788914800 
group by n_name
order by revenue desc;

